<?php
/*********************************************
  CPG-Dragonfly. CMS
  ********************************************
  Copyright © 2004 - 2005 by CPG Dev Team
  www.dragonflycms.com

  Dragonfly is released under the terms and conditions
  of the GNU GPL version 2 or any later version

  $Source: /cvs/modules/IRCChat/modules/IRCChat/cpg_inst.php,v $
  $Revision: 9.2 $
  $Author: djmaze $
  $Date: 2005/02/10 00:55:52 $
**********************************************/
if (!defined('ADMIN_MOD_INSTALL')) { exit; }
//global $prefix;
get_lang('application');

class Application {
    var $radmin;
    var $version;
    var $modname;
    var $description;
    var $author;
    var $website;
    var $dbtables;
    function Application() {
        $this->radmin = true;
        $this->version = '2.2';
        $this->modname = 'Recruitment_Settings';
        $this->description = 'Recruitment mod';
        $this->author = 'Ymryl who created this for the PHPNuke users and to Anaxant, Robojerk and Razac for Dragonfly CMS';
        $this->website = 'www.wow-deception.com';
        //$this->prefix = strtolower(basename(dirname(__FILE__)));
        $this->dbtables = array('recruitment', 'recruit_data');
    }
    function install() {
        global $installer;
         $installer->add_query('CREATE', 'recruitment', "
		`status` varchar(32) NOT NULL default '',
        `druid` varchar(32) NOT NULL default '',
        `hunter` varchar(32) NOT NULL default '',
        `mage` varchar(32) NOT NULL default '',
        `paladin` varchar(32) NOT NULL default '',
        `priest` varchar(32) NOT NULL default '',
        `rogue` varchar(32) NOT NULL default '',
        `shaman` varchar(32) NOT NULL default '',
        `warlock` varchar(32) NOT NULL default '',
        `warrior` varchar(32) NOT NULL default '',
		`grpID` tinyint(10) NOT NULL default '0',
		`showguildinfo` enum('1','0') NOT NULL default '1',
		`guildrules` varchar(255) NOT NULL default '',
		`rankstructure` varchar(255) NOT NULL default '',
		`raidinginfo` varchar(255) NOT NULL default '',
		`about` varchar(255) NOT NULL default '',
		`appmessage` varchar(255) NOT NULL default '',
		`appmessage_display` enum('1','0') NOT NULL default '1',
		`appcomment` varchar(255) NOT NULL default '',
		`recipient` varchar(100) NOT NULL default '',
		`testname` varchar(50) NOT NULL default '',
		`testrecipient` varchar(100) NOT NULL default '',
		`altallowed` enum('1','0') NOT NULL default '0',
		`druid_forum_id` varchar(32) NOT NULL default '',
		`hunter_forum_id` varchar(32) NOT NULL default '',
		`mage_forum_id` varchar(32) NOT NULL default '',
		`paladin_forum_id` varchar(32) NOT NULL default '',
		`priest_forum_id` varchar(32) NOT NULL default '',
		`rogue_forum_id` varchar(32) NOT NULL default '',
		`shaman_forum_id` varchar(32) NOT NULL default '',
		`warlock_forum_id` varchar(32) NOT NULL default '',
		`warrior_forum_id` varchar(32) NOT NULL default '',
		`save_db` enum('1','0') NOT NULL default '1',
		`post_forum` enum('1','0') NOT NULL default '0',
		`post_id` int(50) NOT NULL default '1',
		`post_name` varchar(255) NOT NULL default '',
		`post_sig` tinyint(10) NOT NULL default '0',
		`send_mail` enum('1','0') NOT NULL default '0',
		`rogue_reqs` text,
		`hunter_reqs` text,
		`mage_reqs` text,
		`warrior_reqs` text,
		`warlock_reqs` text,
		`priest_reqs` text,
		`druid_reqs` text,
		`paladin_reqs` text,
		`shaman_reqs` text,
		`apply_unless` text,
		`expect` text,
		`rogue_reqs1` text, 
    	`hunter_reqs1` text, 
    	`mage_reqs1` text, 
    	`warrior_reqs1` text, 
        `warlock_reqs1` text, 
    	`priest_reqs1` text, 
    	`druid_reqs1` text, 
    	`paladin_reqs1` text, 
    	`shaman_reqs1` text, 
    	`apply_unless1` text, 
    	`expect1` text,
		`mon_raid_start` varchar(10) NOT NULL default '',
		`mon_raid_end` varchar(10) NOT NULL default '',
		`tues_raid_start` varchar(10) NOT NULL default '',
		`tues_raid_end` varchar(10) NOT NULL default '',
		`wed_raid_start` varchar(10) NOT NULL default '',
		`wed_raid_end` varchar(10) NOT NULL default '',
		`thurs_raid_start` varchar(10) NOT NULL default '',
		`thurs_raid_end` varchar(10) NOT NULL default '',
		`fri_raid_start` varchar(10) NOT NULL default '',
		`fri_raid_end` varchar(10) NOT NULL default '',
		`sat_raid_start` varchar(10) NOT NULL default '',
		`sat_raid_end` varchar(10) NOT NULL default '',
		`sun_raid_start` varchar(10) NOT NULL default '',
		`sun_raid_end` varchar(10) NOT NULL default '',
		`raid_notes` varchar(255) NOT NULL default ''",
        'recruitment');
  
         $installer->add_query('INSERT', 'recruitment', 
         '"'._OPEN.'", 
         "'._RECRUIT_CLOSE.'",  
         "'._RECRUIT_CLOSE.'", 
         "'._RECRUIT_CLOSE.'", 
         "'._RECRUIT_CLOSE.'", 
         "'._RECRUIT_CLOSE.'",  
		 "'._RECRUIT_CLOSE.'", 
		 "'._RECRUIT_CLOSE.'",  
		 "'._RECRUIT_CLOSE.'",  
		 "'._RECRUIT_CLOSE.'",  
		 "0", 
		 "1", 
		 "", 
		 "", 
		 "", 
		 "", 
		 "", 
		 "1", 
		 "", 
		 "", 
		 "", 
		 "", 
		 "0", 
		 "", 
		 "", 
		 "", 
		 "", 
		 "", 
		 "", 
		 "", 
		 "", 
		 "", 
		 "1", 
		 "0", 
		 "", 
		 "", 
		 "0", 
		 "0", 
		 "", 
		 "", 
		 "", 
		 "", 
		 "", 
		 "", 
		 "", 
		 "", 
		 "", 
		 "",
		 "",
		 "",
		 "",
		 "",
		 "",
		 "",
		 "",
		 "",
		 "",
		 "", 
		 "", 
		 "", 
		 "", 
		 "", 
		 "",
		 "",
		 "",
		 "",
		 "",
		 "",
		 "",
		 "",
		 "",
		 "",
		 "",
		 "",
		 ""');

         $installer->add_query('CREATE', 'recruit_data', "
         `ID` int(100) unsigned NOT NULL auto_increment,
         `Name` varchar(255) NOT NULL default '',
         `age` varchar(5) NOT NULL default '',
         `email` varchar(255) NOT NULL default '',
         `time_zone` varchar(10) NOT NULL default '',
         `charname` varchar(255) NOT NULL default '',
         `class` varchar(50) NOT NULL default '',
         `lvl` varchar(30) NOT NULL default '',
         `fa_lvl` varchar(30) NOT NULL default '',
         `cook_lvl` varchar(30) NOT NULL default '', 
         `fish_lvl` varchar(30) NOT NULL default '',
         `prof1` varchar(100) NOT NULL default '',
         `prof2` varchar(100) NOT NULL default '',
         `prof1_lvl` varchar(30) NOT NULL default '',
         `prof2_lvl` varchar(30) NOT NULL default '',
         `talentname` varchar(100) NOT NULL default '',
         `tpoint1` tinyint(10) NOT NULL default '0',
         `tpoint2` tinyint(10) NOT NULL default '0',
         `tpoint3` tinyint(10) NOT NULL default '0',
         `res_fr` tinyint(10) NOT NULL default '0',
         `res_shad` tinyint(10) NOT NULL default '0',
         `res_arc` tinyint(10) NOT NULL default '0',
         `res_nature` tinyint(10) NOT NULL default '0',
         `res_frost` tinyint(10) NOT NULL default '0',
         `att_ony` enum('Yes','No') NOT NULL default 'No',
         `att_mc` enum('Yes','No') NOT NULL default 'No',
         `att_bwl` enum('Yes','No') NOT NULL default 'No',
         `att_naxx` enum('Yes','No') NOT NULL default 'No',
         `att_kara` enum('Yes','No') NOT NULL default 'No',
         `att_serp` enum('Yes','No') NOT NULL default 'No',
         `att_eye` enum('Yes','No') NOT NULL default 'No',
         `att_hyjal` enum('Yes','No') NOT NULL default 'No',
         `gear_url` varchar(255) NOT NULL default '',
         `alt1` varchar(255) NOT NULL default '',
         `alt2` varchar(255) NOT NULL default '',
         `guild1` varchar(100) NOT NULL default '',
         `guild2` varchar(100) NOT NULL default '',
         `guild3` varchar(100) NOT NULL default '',
         `guild_reason` varchar(255) NOT NULL default '',
         `respec` enum('Yes','No') NOT NULL default 'Yes',
         `scale_play` tinyint(10) NOT NULL default '0',
         `flymount` enum('Yes','No') NOT NULL default 'Yes',
         `raid_mon` enum('Yes','No') NOT NULL default 'Yes',
         `raid_tues` enum('Yes','No') NOT NULL default 'Yes',
         `raid_wed` enum('Yes','No') NOT NULL default 'Yes',
         `raid_thurs` enum('Yes','No') NOT NULL default 'Yes',
         `raid_fri` enum('Yes','No') NOT NULL default 'Yes',
         `raid_sat` enum('Yes','No') NOT NULL default 'Yes',
         `raid_sun` enum('Yes','No') NOT NULL default 'Yes',
         `bosses_zul` varchar(255) NOT NULL default '',
         `bosses_mc` varchar(255) NOT NULL default '',
         `bosses_bwl` varchar(255) NOT NULL default '',
         `bosses_aq40` varchar(255) NOT NULL default '',
         `bosses_naxx` varchar(255) NOT NULL default '',
         `bosses_kara` varchar(255) NOT NULL default '',
         `bosses_mag` varchar(255) NOT NULL default '',
         `bosses_gruul` varchar(255) NOT NULL default '',
         `bosses_serp` varchar(255) NOT NULL default '',
         `bosses_eye` varchar(255) NOT NULL default '',
         `bosses_bltemple` varchar(255) NOT NULL default '',
         `bosses_hyjal` varchar(255) NOT NULL default '',
         `tbc_key_shatter` enum('Yes','No') NOT NULL default 'No',
         `tbc_key_shadow` enum('Yes','No') NOT NULL default 'No',
         `tbc_key_arc` enum('Yes','No') NOT NULL default 'No',
         `tbc_hfc_rep` enum('Yes','No') NOT NULL default 'No',
         `tbc_cfr_rep` enum('Yes','No') NOT NULL default 'No',
         `tbc_auch_rep` enum('Yes','No') NOT NULL default 'No',
         `tbc_tk_rep` enum('Yes','No') NOT NULL default 'No',
		 `tbc_cot_rep` enum('Yes','No') NOT NULL default 'No',
         `read_faqs` enum('Yes','No') NOT NULL default 'No',
         `cdate` date NOT NULL default '0000-00-00',
         `other_notes` varchar(255) NOT NULL default '',
         `cook_lvl1` varchar(30), 
         `fish_lvl1` varchar(30), 
         `alt11` varchar(255) NOT NULL default '', 
         `alt21` varchar(255) NOT NULL default '', 
         `respec1` enum('Yes','No') NOT NULL default 'Yes',
         PRIMARY KEY  (`ID`)", 
         'recruit_data');
	
        return true;
    }
    function uninstall() {
        global $installer;
        $installer->add_query('DROP',  'recruitment');
		$installer->add_query('DROP',  'recruit_data');
        return true;
    }
    function upgrade($prev_version) {
    	global $installer;
    	$installer->add_query('ADD',  'recruitment', 
    	"(`rogue_reqs` text, 
    	`hunter_reqs` text, 
    	`mage_reqs` text, 
    	`warrior_reqs` text, 
    	`warlock_reqs` text, 
    	`priest_reqs` text, 
    	`druid_reqs` text, 
    	`paladin_reqs` text, 
    	`shaman_reqs` text, 
    	`apply_unless` text, 
    	`expect` text,
		`mon_raid_start` varchar(10) NOT NULL default '',
		`mon_raid_end` varchar(10) NOT NULL default '',
		`tues_raid_start` varchar(10) NOT NULL default '',
		`tues_raid_end` varchar(10) NOT NULL default '',
		`wed_raid_start` varchar(10) NOT NULL default '',
		`wed_raid_end` varchar(10) NOT NULL default '',
		`thurs_raid_start` varchar(10) NOT NULL default '',
		`thurs_raid_end` varchar(10) NOT NULL default '',
		`fri_raid_start` varchar(10) NOT NULL default '',
		`fri_raid_end` varchar(10) NOT NULL default '',
		`sat_raid_start` varchar(10) NOT NULL default '',
		`sat_raid_end` varchar(10) NOT NULL default '',
		`sun_raid_start` varchar(10) NOT NULL default '',
		`sun_raid_end` varchar(10) NOT NULL default '',
		`raid_notes` varchar(255) NOT NULL default '')" ,
    	'_recruitment');
    	
    	$installer->add_query('ADD', 'recruit_data', 
    	"(`cook_lvl` varchar(30), 
    	`fish_lvl` varchar(30), 
    	`alt1` varchar(255) NOT NULL default '', 
    	`alt2` varchar(255) NOT NULL default '', 
    	`respec` enum('Yes','No') NOT NULL default 'Yes')", 
    	'recruit_data');
    	return true;
    }
}
